JsDoc Reference - FSNode

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class FSNode

Abstract class for file system nodes
Defined in: FSNode.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| FSNode(fcp) Construct a file system node

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getFCP() Gets the file control parameter for this node
| getParent() Gets the parent node for this node
| isDF() Returns true if this is a DF
| setParent(the) Sets the parent for this node
| toString() Returns a human readible string

Class Detail
FSNode(fcp)
Construct a file system node

Parameters:
fcp

Method Detail
{FCP} getFCP()
Gets the file control parameter for this node

Returns:
  the FCP

{DF} getParent()
Gets the parent node for this node

Returns:
  the parent node

{boolean} isDF()
Returns true if this is a DF

Returns:
  true if this is a DF

setParent(the)
Sets the parent for this node

Parameters:
{DF} the
  parent node

{String} toString()
Returns a human readible string

Returns:
  a string

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)